中危 Apache Batik 服务器端请求伪造漏洞

CVE编号

CVE-2020-11987

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-02-25
漏洞描述
Apache Batik是Apach开源的一个系统库。提供可伸缩矢量图形SVG格式的图像用于各种目的应用程序或小程序。

Apache Batik 1.13版本存在服务器端请求伪造漏洞,这是由NodePanel未能正确的输入验证造成的。通过使用巧尽心思构建的参数,攻击者可以利用此漏洞使基础服务器发出任意GET请求。
解决建议
厂商已发布了漏洞修复程序,请及时关注更新:

https://xmlgraphics.apache.org/security.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apache batik 1.13 -
运行在以下环境
系统 debian_10 batik * Up to
(including)
1.10-2+deb10u1
运行在以下环境
系统 debian_11 batik * Up to
(including)
1.12-4
运行在以下环境
系统 debian_12 batik * Up to
(including)
1.12-4
运行在以下环境
系统 debian_9 batik * Up to
(including)
1.8-4+deb9u2
运行在以下环境
系统 debian_sid batik * Up to
(including)
1.12-4
运行在以下环境
系统 fedora_33 batik * Up to
(excluding)
1.14-2.fc33
运行在以下环境
系统 fedora_34 batik * Up to
(excluding)
1.14-1.fc34
运行在以下环境
系统 unionos_20 batik * Up to
(excluding)
1.10.1-1+sercurity
阿里云评分
4.9
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-20 输入验证不恰当
CWE-918 服务端请求伪造(SSRF)
阿里云安全产品覆盖情况